Retrieve holding
curl --request GET \
--url https://app.sure.am/api/v1/holdings/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/holdings/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/holdings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"qty": "<string>",
"price": "<string>",
"amount": "<string>",
"currency": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
},
"security": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cost_basis_source": "<string>",
"avg_cost": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Holdings
Retrieve holding
GET
/
api
/
v1
/
holdings
/
{id}
Retrieve holding
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Holding ID
Response
holding retrieved
Quantity of shares held
Formatted price per share
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I